#include "Behavioural/Generic/Queue_Control/include/Queue_Control.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace queue_control {

#undef  FUNCTION
#define FUNCTION "Queue_Control::operator<<"
  std::ostream& Queue_Control::operator<< (std::ostream& output_stream)
  {
    log_printf(FUNC,Queue_Control,FUNCTION,"Begin");
	
    log_printf(FUNC,Queue_Control,FUNCTION,"End");
    
    return output_stream;
  };

#undef  FUNCTION
#define FUNCTION "Queue_Control::operator[]"
  uint32_t Queue_Control::operator[] (uint32_t index)
  {
    log_printf(FUNC,Queue_Control,FUNCTION,"Begin");
	
    uint32_t _return = (*_tab)[index];

    log_printf(FUNC,Queue_Control,FUNCTION,"End");
    
    return _return;
  }
}; // end namespace queue_control
}; // end namespace generic
}; // end namespace behavioural
}; // end namespace morpheo              
